---@meta

---@class ABP_NonGISkyLight_C : AActor
---@field UberGraphFrame FPointerToUberGraphFrame
---@field SkyLight USkyLightComponent
---@field DefaultSceneRoot USceneComponent
local ABP_NonGISkyLight_C = {}

function ABP_NonGISkyLight_C:Update() end
function ABP_NonGISkyLight_C:ReceiveBeginPlay() end
---@param DeltaSeconds float
function ABP_NonGISkyLight_C:ReceiveTick(DeltaSeconds) end
---@param GlobalIlluminationQuality int32
function ABP_NonGISkyLight_C:ReceiveGameOptionChanged(GlobalIlluminationQuality) end
---@param EntryPoint int32
function ABP_NonGISkyLight_C:ExecuteUbergraph_BP_NonGISkyLight(EntryPoint) end


